{
  description = "Submission server/infrastructure for the SRS challenge at FIC";

  inputs = {
    nixpkgs = { url = "nixpkgs/nixos-unstable"; };
    npmlock2nix = {
      url = "github:winston0410/npmlock2nix/issue113";
      flake = false;
    };
    flake-utils = {
      url = "github:numtide/flake-utils";
      inputs = { nixpkgs.follows = "nixpkgs"; };
    };
  };

  outputs = { self, flake-utils, nixpkgs, npmlock2nix, ... }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
        lib = (pkgs.callPackage ./lib.nix {
          npmlock2nix = pkgs.callPackage npmlock2nix { };
          yarn2nix = pkgs.yarn2nix;
        });
      in {
        test = lib.mkNpmPackage {
          pname = "my-webpack-app";
          src = ./my-app;
          buildInputs = [nixpkgs.nodejs];
        };
      }
    );
}
